be.ehealth.technicalconnector.service.sts.security.impl

## Class SAML20SenderVouchesToken

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
  - - be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
    - - be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAML20Token
      - - be.ehealth.technicalconnector.service.sts.security.impl.SAML20SenderVouchesToken

- All Implemented Interfaces:
    Credential, ExtendedCredential, SAML20Token, SAMLSenderVouchesToken, SAMLToken

      public class SAML20SenderVouchesToken
      extends AbstractSAML20Token
      implements SAMLSenderVouchesToken

  SAMLSenderVouchesCredential. Extends : `AbstractSAMLToken`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `SAMLToken.Version`

  - ### Field Summary

    - ### Fields inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAML20Token

      `XMLNS_ASSERTION`

    - ### Fields inherited from interface be.ehealth.technicalconnector.service.sts.security.SAML20Token

      `HOK_METHOD, NAMEID_UNSPECIFIED, NAMEID_X509SUBJECTNAME, SV_METHOD, XMLNS_SAML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML20SenderVouchesToken(Element assertion, Credential credential)` Instantiates a SAMLSenderVouchesCredential

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAML20Token

      `getAssertionID, getAttributes, getNotOnOrAfterCondition, getSamlVersion`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken

      `checkValidity, getAssertion, getCertificate, getCertificateChain, getCredential, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `checkValidity, getAssertion, getAssertionID, getAttributes, getCredential, getNotOnOrAfterCondition, getSamlVersion`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential

      `getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

- - ### Constructor Detail

    - #### SAML20SenderVouchesToken

          public SAML20SenderVouchesToken(Element assertion,
                                          Credential credential)

      Instantiates a SAMLSenderVouchesCredential
      Parameters:
        `assertion` - the assertion
        `credential` - the credential

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.